
/*
 *
 *   Copyright (c) Rocket Division Software 2001-2010. All rights reserved.
 *   Copyright (c) StarBurn Software 2001-2010. All rights reserved.
 *
 */

using System;
using System.Windows.Forms;

namespace DataBurnerNS
{
    public class frmEditFileObject : Form
    {
        private bool    m_isImageLabelProcessing;

        #region Construction

        public frmEditFileObject()
        {
            InitializeComponent();
        }
        #endregion Construction
       
        #region Initialization
        
        #endregion Initialization

        #region Common

        public DialogResult DoEditDiscLabel(string pDiscLabel)
        {
            Text                     = "Edit disc label";
            
            txtEntityValue.MaxLength = 16;
            txtEntityValue.Text      = pDiscLabel;
            
            lbEntityName.Text        = "Disc label";
            m_isImageLabelProcessing = true;
            
            return ShowDialog(); 
        }
         
        public DialogResult DoEditFile(string pFileName)
        {
            Text                     = "Edit file name";
            
            txtEntityValue.MaxLength = 107;
            txtEntityValue.Text      = pFileName;
            
            lbEntityName.Text        = "File name";
            m_isImageLabelProcessing = false;
            
            return ShowDialog(); 
        }

        public DialogResult DoEditFolder(string pFolderName)
        {
            Text                     = "Edit folder name";
            
            txtEntityValue.MaxLength = 107;
            txtEntityValue.Text      = pFolderName;
                        
            lbEntityName.Text        = "Folder name";
            m_isImageLabelProcessing = false;
             
            return ShowDialog(); 
        }

        public DialogResult DoNewFolder()
        {
            Text                     = "New folder";
            
            txtEntityValue.MaxLength = 107;
            txtEntityValue.Text      = string.Empty;
            
            lbEntityName.Text        = "Folder name";

            return ShowDialog(); 
        }

        /// <summary>
        /// This function returns value of the edited text box.
        /// </summary>
        /// <returns></returns>
        public string GetValue()
        {
            return txtEntityValue.Text;
        }
        #endregion Common

        #region Events handlers
        private void btnOk_Click(object sender, EventArgs e)
        {
            if (txtEntityValue.Text.Trim().Length == 0 && !m_isImageLabelProcessing)
            {
                // Please set name 
                return;
            }

            DialogResult = DialogResult.OK;

            Hide(); 
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;

            Hide();
        }
        #endregion Events handlers

        
        #region Windows Form Designer generated code

        private System.ComponentModel.IContainer components = null;

        private System.Windows.Forms.Button btnCancel;
        private System.Windows.Forms.Button btnOk;
        private System.Windows.Forms.GroupBox groupBox1;
        private System.Windows.Forms.TextBox txtEntityValue;
        private System.Windows.Forms.Label lbEntityName;
        
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void InitializeComponent()
        {
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOk = new System.Windows.Forms.Button();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.txtEntityValue = new System.Windows.Forms.TextBox();
			this.lbEntityName = new System.Windows.Forms.Label();
			this.groupBox1.SuspendLayout();
			this.SuspendLayout();
			// 
			// btnCancel
			// 
			this.btnCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnCancel.Location = new System.Drawing.Point(183, 76);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 4;
			this.btnCancel.Text = "&Cancel";
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// btnOk
			// 
			this.btnOk.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnOk.Location = new System.Drawing.Point(274, 76);
			this.btnOk.Name = "btnOk";
			this.btnOk.TabIndex = 3;
			this.btnOk.Text = "&Ok";
			this.btnOk.Click += new System.EventHandler(this.btnOk_Click);
			// 
			// groupBox1
			// 
			this.groupBox1.Controls.Add(this.txtEntityValue);
			this.groupBox1.Controls.Add(this.lbEntityName);
			this.groupBox1.Location = new System.Drawing.Point(4, 4);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(345, 66);
			this.groupBox1.TabIndex = 2;
			this.groupBox1.TabStop = false;
			// 
			// txtEntityValue
			// 
			this.txtEntityValue.Location = new System.Drawing.Point(97, 26);
			this.txtEntityValue.Name = "txtEntityValue";
			this.txtEntityValue.Size = new System.Drawing.Size(233, 20);
			this.txtEntityValue.TabIndex = 1;
			this.txtEntityValue.Text = "";
			// 
			// lbEntityName
			// 
			this.lbEntityName.AutoSize = true;
			this.lbEntityName.Location = new System.Drawing.Point(19, 26);
			this.lbEntityName.Name = "lbEntityName";
			this.lbEntityName.Size = new System.Drawing.Size(35, 16);
			this.lbEntityName.TabIndex = 0;
			this.lbEntityName.Text = "label1";
			// 
			// frmEditFileObject
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(353, 105);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.btnOk);
			this.Controls.Add(this.btnCancel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "frmEditFileObject";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.groupBox1.ResumeLayout(false);
			this.ResumeLayout(false);

		}

        #endregion
        
    }
}