
/*
 *
 *   Copyright (c) Rocket Division Software 2001-2010. All rights reserved.
 *   Copyright (c) StarBurn Software 2001-2010. All rights reserved.
 *
 */
using System.Threading;
using RocketDivision.StarBurnX;

namespace DataBurnerNS
{
	public class frmFSAddingProgress : System.Windows.Forms.Form
	{
        #region Variables
		private  volatile static int        m_addingProgress;
        private  bool						m_isCanceled;
		private  UDFDataBurner					m_dataBurner;
        
		private System.Windows.Forms.Timer	progressWatcher;
        #endregion

        #region Constructor / Destructor
        public frmFSAddingProgress(UDFDataBurner burner)
		{
			m_addingProgress = 0;

			InitializeComponent();
            
            m_isCanceled = false;
            m_dataBurner = burner;
		}

        protected override void Dispose( bool disposing )
        {
            if( disposing )
            {
                if(components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose( disposing );
        }

        #endregion

        #region Common
        
        public bool IsCanceled()
        {
            return m_isCanceled;
        }

        public void SetProgress(int progress)
        {
			m_addingProgress = progress;
        }


        #endregion

        #region Handle controls events
        private void btnCancel_Click(object sender, System.EventArgs e)
        {
            m_isCanceled = true;
            btnCancel.Enabled = false; 
                
			progressWatcher.Stop() ;

        	Thread cancelThread = new Thread(new ThreadStart(m_dataBurner.Cancel));
			cancelThread.Start();
        }

		private void progressWatcher_Tick(object sender, System.EventArgs e)
		{
			if(prgrsAdding.Value != m_addingProgress)
			{
				if(m_addingProgress >= 100)
				{
					progressWatcher.Stop();
					btnCancel.Enabled    = false; 
				}
				else
				{
					prgrsAdding.Value = m_addingProgress;
					prgrsAdding.Refresh(); 					
				}
			}
		}

        #endregion

		#region Windows Form Designer generated code

        private System.Windows.Forms.Button btnCancel;
        private System.Windows.Forms.Label label1;
		private System.ComponentModel.IContainer components;
        private System.Windows.Forms.ProgressBar prgrsAdding;
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.btnCancel = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.prgrsAdding = new System.Windows.Forms.ProgressBar();
			this.progressWatcher = new System.Windows.Forms.Timer(this.components);
			this.SuspendLayout();
			// 
			// btnCancel
			// 
			this.btnCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnCancel.Location = new System.Drawing.Point(208, 56);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 5;
			this.btnCancel.Text = "Cancel";
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point(8, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(96, 16);
			this.label1.TabIndex = 4;
			this.label1.Text = "Adding progress ..";
			// 
			// prgrsAdding
			// 
			this.prgrsAdding.Location = new System.Drawing.Point(8, 32);
			this.prgrsAdding.Name = "prgrsAdding";
			this.prgrsAdding.Size = new System.Drawing.Size(272, 18);
			this.prgrsAdding.Step = 5;
			this.prgrsAdding.TabIndex = 3;
			// 
			// progressWatcher
			// 
			this.progressWatcher.Enabled = true;
			this.progressWatcher.Tick += new System.EventHandler(this.progressWatcher_Tick);
			// 
			// frmFSAddingProgress
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(290, 88);
			this.ControlBox = false;
			this.Controls.Add(this.prgrsAdding);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.label1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "frmFSAddingProgress";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Adding";
			this.ResumeLayout(false);

		}
		#endregion
	}
}
